# include "dvomerge.h"

int main (int argc, char **argv) {

  // fprintf (stderr, "this program needs to be updated to load old format Measure tables (pre PV1_V5) in which dR,dD are saved, not R,D\n");
  // fprintf (stderr, "reminder: relastro can re-construct R,D from X,Y; FtableToMeasure and vice versa could just NAN those values\n");
  // exit (2);

  dvorepair_help(argc, argv);
  
  if (!strcmp(argv[1], "-fix-cpt")) dvorepairFixCPT(argc, argv);
  // if (!strcmp(argv[1], "-fix-tables")) dvorepairFixTables(argc, argv);
  if (!strcmp(argv[1], "-images-vs-measures")) dvorepairImagesVsMeasures(argc, argv);
  if (!strcmp(argv[1], "-delete-image-list")) dvorepairDeleteImageList(argc, argv);
  if (!strcmp(argv[1], "-delete-images-by-extern-id")) dvorepairDeleteImagesByExternID(argc, argv);
  if (!strcmp(argv[1], "-fix-images")) dvorepairFixImages(argc, argv);
  dvorepair_help(0, NULL);
  exit (2);
}
